## org.eclipse.emf.mapping.xsd2ecore.presentation
Class XSD2EcoreEditor.MyMappingDomain

    java.lang.Object
      org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
          org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain
              org.eclipse.emf.mapping.domain.PluginAdapterFactoryMappingDomain
                  org.eclipse.emf.mapping.xsd2ecore.presentation.XSD2EcoreEditor.MyMappingDomain

All Implemented Interfaces:
  EditingDomain, MappingDomain

Enclosing class:
  XSD2EcoreEditor

    public static class XSD2EcoreEditor.MyMappingDomain

extends PluginAdapterFactoryMappingDomain

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain
`AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory, AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet, AdapterFactoryEditingDomain.DomainTreeIterator<E>, AdapterFactoryEditingDomain.EditingDomainProvider`

Field Summary

Fields inherited from class org.eclipse.emf.mapping.domain.PluginAdapterFactoryMappingDomain
`MAPPING_EXTENSION_POINT_ID`

Fields inherited from class org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain
`bottomLabelCase, bottomLabelLongForms, bottomLabelSeparator, bottomLabelShortForms, bottomToTopTypeTable, isSameEditingDomainAdapterFactory, LABEL_LOWER, LABEL_MIXED, LABEL_NO_SEPARATOR, LABEL_UPPER, mappingEnablementFlags, mappingRoot, packageTypeSeparator, persistentCommandStack, topLabelCase, topLabelLongForms, topLabelSeparator, topLabelShortForms, topToBottomTypeTable`

Fields inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`adapterFactory, clipboard, commandStack, optimizeCopy, resourceSet, resourceToReadOnlyMap`

Fields inherited from interface org.eclipse.emf.mapping.domain.MappingDomain
`ENABLE_ALL, ENABLE_EMPTY_INPUTS, ENABLE_EMPTY_OUTPUTS, ENABLE_INCOMPATIBLE_METAOBJECTS, ENABLE_INCOMPATIBLE_TYPE_CLASSIFIERS, ENABLE_MULTIPLE_INPUT_MAPPINGS, ENABLE_MULTIPLE_INPUTS, ENABLE_MULTIPLE_OUTPUT_MAPPINGS, ENABLE_MULTIPLE_OUTPUTS, ENABLE_UNMAPPED_PARENTS`

Constructor Summary
`XSD2EcoreEditor.MyMappingDomain(AdapterFactory mappingDomainAdapterFactory, AdapterFactory topDomainAdapterFactory, AdapterFactory bottomDomainAdapterFactory, CommandStack commandStack, java.lang.String mappingDomainKey)` Constructor for MyMappingDomain.

Method Summary
`protected Command` `createInitializeCopyOverrideCommand(InitializeCopyCommand initializeCopyCommand)`

Methods inherited from class org.eclipse.emf.mapping.domain.PluginAdapterFactoryMappingDomain
`addTypeMapping, initializeFromPlugin`

Methods inherited from class org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain

`change, convertCase, convertName, convertNameForm, convertSeparator, createAddOverrideCommand, createCommand, createComposedAdapterFactory, createComposedAdapterFactory, createCopyToClipboardOverrideCommand, createCreateCopyOverrideCommand, createDragAndDropOverrideCommand, createMoveOverrideCommand, createOverrideCommand, createPasteFromClipboardOverrideCommand, createRemoveOverrideCommand, createReplaceOverrideCommand, createSetOverrideCommand, getCorrespondingType, getMappingEnablementFlags, getMappingRoot, getName, getOutputMetaObject, getOutputName, getOutputTypeClassifier, getTypeClassifier, handleCreateCommand, parseInputName, parseName, parseOutputName, setMappingEnablementFlags, setMappingRoot, setName, setTypeClassifier`

Methods inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain

`createResource, getAdapterFactory, getChildren, getClipboard, getCommandStack, getEditingDomainFor, getEditingDomainFor, getEditingDomainItemProviderFor, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getResourceToReadOnlyMap, getRoot, getTreePath, getWrapper, isControllable, isControlled, isReadOnly, isReadOnlyURI, isStale, loadResource, resolve, setAdapterFactory, setClipboard, setOptimizeCopy, setResourceToReadOnlyMap, treeIterator, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.domain.EditingDomain
`createResource, getChildren, getClipboard, getCommandStack, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getRoot, getTreePath, isControllable, isReadOnly, loadResource, setClipboard, treeIterator`

Constructor Detail

### XSD2EcoreEditor.MyMappingDomain

    public XSD2EcoreEditor.MyMappingDomain(AdapterFactory mappingDomainAdapterFactory,
                                           AdapterFactory topDomainAdapterFactory,
                                           AdapterFactory bottomDomainAdapterFactory,
                                           CommandStack commandStack,
                                           java.lang.String mappingDomainKey)

  Constructor for MyMappingDomain.

  Parameters:
    `mappingDomainAdapterFactory` -
    `topDomainAdapterFactory` -
    `bottomDomainAdapterFactory` -
    `commandStack` -
    `mappingDomainKey` -

Method Detail

### createInitializeCopyOverrideCommand

    protected Command createInitializeCopyOverrideCommand(InitializeCopyCommand initializeCopyCommand)

  Overrides:
    `createInitializeCopyOverrideCommand` in class `AdapterFactoryMappingDomain`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.